ReaderInputHandler (BioJava-1.5-beta API)
Keywords: org.biojava.utils.process.ReaderInputHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.process
Class ReaderInputHandler

    java.lang.Object
      org.biojava.utils.process.ReaderWriterPipe
          org.biojava.utils.process.ReaderInputHandler

All Implemented Interfaces:
  Runnable, InputHandler

    public class ReaderInputHandler

extends ReaderWriterPipe
implements InputHandler

Reader input handler that reads the input for an external process from a reader. The output stream for the input of the external process is closed after the reader is read to its end.

Version:
  $Revision: 1.1 $
Author:
  Martin Szugat

Constructor Summary
`ReaderInputHandler(Reader reader, String tag)` Initializes the reader input handler.

Method Summary
`OutputStream` | `getOutput()` Gets the output stream.
`void` | `run()`
`void` | `setOutput(OutputStream output)` Sets the output stream.

Methods inherited from class org.biojava.utils.process.ReaderWriterPipe
`getReader, getWriter, setReader, setWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReaderInputHandler

    public ReaderInputHandler(Reader reader,
                              String tag)

  Initializes the reader input handler.

  Parameters:
    `reader` - the reader from which to read the input for the external process. May be `null`.
    `tag` - a tag for logging. May be `null`.

Method Detail

### setOutput

    public void setOutput(OutputStream output)

  Sets the output stream. The input for the external process is read from this output stream.

  Specified by:
    `setOutput` in interface `InputHandler`
  Parameters:
    `output` - the output stream. May be `null`.

### getOutput

    public OutputStream getOutput()

  Gets the output stream. The input for the external process is read from this output stream.

  Specified by:
    `getOutput` in interface `InputHandler`
  Returns:
    the output stream. May be `null`.

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `ReaderWriterPipe`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD